Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.topics
Class PAM4L

    java.lang.Object
      cc.mallet.topics.PAM4L

    public class PAM4L

extends java.lang.Object

Four Level Pachinko Allocation with MLE learning, based on Andrew's Latent Dirichlet Allocation.

Author:
  David Mimno

Constructor Summary
`PAM4L(int superTopics, int subTopics)`
`PAM4L(int superTopics, int subTopics, double alphaSum, double beta)`

Method Summary
`void` | `estimate(InstanceList documents, int numIterations, int optimizeInterval, int showTopicsInterval, int outputModelInterval, java.lang.String outputModelFilename, Randoms r)`
`void` | `learnParameters(double[] parameters, int[][] observations, int[] observationLengths)` Use the fixed point iteration described by Tom Minka.
`static void` | `main(java.lang.String[] args)`
`void` | `printDocumentTopics(java.io.File f)`
`void` | `printDocumentTopics(java.io.PrintWriter pw, double threshold, int max)`
`void` | `printState(java.io.File f)`
`void` | `printState(java.io.PrintWriter pw)`
`void` | `printTopWords(int numWords, boolean useNewLines)`
`void` | `printWordCounts()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PAM4L

    public PAM4L(int superTopics,
                 int subTopics)

### PAM4L

    public PAM4L(int superTopics,
                 int subTopics,
                 double alphaSum,
                 double beta)

Method Detail

### estimate

    public void estimate(InstanceList documents,
                         int numIterations,
                         int optimizeInterval,
                         int showTopicsInterval,
                         int outputModelInterval,
                         java.lang.String outputModelFilename,
                         Randoms r)

### learnParameters

    public void learnParameters(double[] parameters,
                                int[][] observations,
                                int[] observationLengths)

  Use the fixed point iteration described by Tom Minka.

### printWordCounts

    public void printWordCounts()

### printTopWords

    public void printTopWords(int numWords,
                              boolean useNewLines)

### printDocumentTopics

    public void printDocumentTopics(java.io.File f)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### printDocumentTopics

    public void printDocumentTopics(java.io.PrintWriter pw,
                                    double threshold,
                                    int max)

### printState

    public void printState(java.io.File f)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### printState

    public void printState(java.io.PrintWriter pw)

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD